<?php

/*

 $Id: show_subnets.inc,v 1.8 2003/08/13 00:02:30 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_subnets.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Subnets Template
	Show a listing of the $subnets (an array of Subnet objects)

*/
?>
<p class="header2">Viewing All Subnets</p>
<?
show_template('tborder'); 
if ( $user->view->limit ) {
	$sql = "SELECT count(*) FROM subnet";
	$db_result = mysql_query($sql, $conf['dbh']);
	$total_subnets = mysql_fetch_array($db_result);

	$conf['ui']->show_list_header($total_subnets[0]);
}
?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td>
		<a href="<?= $conf['script'] ?>?action=show_subnets&sort_type=name" title="<? $conf['help']->display_plain_txt("subnet_name"); ?>">Name</a>
		<? if ($user->view->sort_type == 'name') { $conf['ui']->show_arrow(); } ?>
		</td>
    		<td>
		<a href="<?=  $conf['script'] ?>?action=show_subnets&sort_type=subnet" title="<? $conf['help']->display_plain_txt("subnet_mask"); ?>">Subnet</a>
		<? if ($user->view->sort_type == 'subnet') { $conf['ui']->show_arrow(); } ?>
		</td>
                <td>
		<a href="<?=  $conf['script'] ?>?action=show_subnets&sort_type=netmask" title="<? $conf['help']->display_plain_txt("subnet_netmask"); ?>">Netmask</a>
		<? if ($user->view->sort_type == 'netmask') { $conf['ui']->show_arrow(); } ?>
		</td>
                <td>
		<a href="<?=  $conf['script'] ?>?action=show_subnets&sort_type=router" title="<? $conf['help']->display_plain_txt("subnet_router"); ?>">Router</a>
		<? if ($user->view->sort_type == 'router') { $conf['ui']->show_arrow(); } ?>
		</td>
                <td>
		<a href="<?= $conf['script'] ?>?action=show_subnets&sort_type=status" title="<? $conf['help']->display_plain_txt("subnet_status"); ?>">Status</a>
		<? if ($user->view->sort_type == 'status') { $conf['ui']->show_arrow(); } ?>
		</td>
                <td align="center">Action</td>
	</tr>

<?

foreach ($subnets as $subnet) {

?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($subnet->name); ?></td>
		<td><? $conf['ui']->display_field($subnet->subnet->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($subnet->netmask->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($subnet->router->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($subnet->status); ?></td>
		<td>
			<a href="<?= $conf['web_path']; ?>/subnet.php?action=edit&subnet_id=<?= $subnet->id ?>">Edit</a> |
			<a href="<?= $conf['web_path']; ?>/option.php?action=show_options&subnet_id=<?= $subnet->id ?>">Options</a> |
			<a href="<?= $conf['web_path']; ?>/subnet.php?action=delete&subnet_id=<?= $subnet->id ?>">Delete</a>
		</td>
	</tr>
<?
} // foreach
?>

</table>

<?

if ( $user->view->limit ) {
	$conf['ui']->show_list_header($total_subnets[0]);
}
show_template('bborder'); 
?>


